Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Skype.IdentityType

    java.lang.Object
      java.lang.Enum<Skype.IdentityType>
          com.skype.api.Skype.IdentityType

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Skype.IdentityType>

Enclosing class:
  Skype

    public static enum Skype.IdentityType

extends java.lang.Enum<Skype.IdentityType>
implements EnumConverting

Enum Constant Summary
`CONFERENCE`
`EXTERNAL`
`PSTN`
`PSTN_EMERGENCY`
`PSTN_FREE`
`PSTN_UNDISCLOSED`
`SKYPE`
`SKYPE_MYSELF`
`SKYPE_UNDISCLOSED`
`UNRECOGNIZED`

Field Summary
`static int` | `CONFERENCE_VALUE`
`static int` | `EXTERNAL_VALUE`
`static int` | `PSTN_EMERGENCY_VALUE`
`static int` | `PSTN_FREE_VALUE`
`static int` | `PSTN_UNDISCLOSED_VALUE`
`static int` | `PSTN_VALUE`
`static int` | `SKYPE_MYSELF_VALUE`
`static int` | `SKYPE_UNDISCLOSED_VALUE`
`static int` | `SKYPE_VALUE`
`static int` | `UNRECOGNIZED_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Skype.IdentityType` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Skype.IdentityType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Skype.IdentityType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Skype.IdentityType UNRECOGNIZED

### SKYPE

    public static final Skype.IdentityType SKYPE

### SKYPE_MYSELF

    public static final Skype.IdentityType SKYPE_MYSELF

### SKYPE_UNDISCLOSED

    public static final Skype.IdentityType SKYPE_UNDISCLOSED

### PSTN

    public static final Skype.IdentityType PSTN

### PSTN_EMERGENCY

    public static final Skype.IdentityType PSTN_EMERGENCY

### PSTN_FREE

    public static final Skype.IdentityType PSTN_FREE

### PSTN_UNDISCLOSED

    public static final Skype.IdentityType PSTN_UNDISCLOSED

### CONFERENCE

    public static final Skype.IdentityType CONFERENCE

### EXTERNAL

    public static final Skype.IdentityType EXTERNAL

Field Detail

### UNRECOGNIZED_VALUE

    public static final int UNRECOGNIZED_VALUE

See Also:
  Constant Field Values

### SKYPE_VALUE

    public static final int SKYPE_VALUE

See Also:
  Constant Field Values

### SKYPE_MYSELF_VALUE

    public static final int SKYPE_MYSELF_VALUE

See Also:
  Constant Field Values

### SKYPE_UNDISCLOSED_VALUE

    public static final int SKYPE_UNDISCLOSED_VALUE

See Also:
  Constant Field Values

### PSTN_VALUE

    public static final int PSTN_VALUE

See Also:
  Constant Field Values

### PSTN_EMERGENCY_VALUE

    public static final int PSTN_EMERGENCY_VALUE

See Also:
  Constant Field Values

### PSTN_FREE_VALUE

    public static final int PSTN_FREE_VALUE

See Also:
  Constant Field Values

### PSTN_UNDISCLOSED_VALUE

    public static final int PSTN_UNDISCLOSED_VALUE

See Also:
  Constant Field Values

### CONFERENCE_VALUE

    public static final int CONFERENCE_VALUE

See Also:
  Constant Field Values

### EXTERNAL_VALUE

    public static final int EXTERNAL_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Skype.IdentityType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Skype.IdentityType c : Skype.IdentityType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Skype.IdentityType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Skype.IdentityType get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.